Subject: Re: RTL-8110SC lockup with r8169

From: Pádraig Brady <[email-masked]>
Date: Fri, 07 May 2010 16:51:58 +0100

On 06/05/10 21:20, Francois Romieu wrote:
> Pádraig Brady <[email-masked]> :
> [...]
>> However the above code wasn't in the 2.6.32.10-90.fc12 driver we used.
>> Also I've back-ported the latest r8169 driver from git to our kernel
>> and it still has the same issue.
> 
> "latest" as "includes 908ba2bfd22253f26fa910cd855e4ccffb1467d0" ?

Yes that was included in my driver.

> Otherwise you may save some time and try directly the backport at :
> http://userweb.kernel.org/~romieu/r8169/2.6.32.11-99.fc12/

That's handy for the future thanks!
userweb is non responsive ATM

> 
>> # dmesg | grep 8169
>> # lspci -n | grep -v 8086:
>> 01:04.0 0200: 10ec:8167 (rev 10)
> 
> 8167 how comes...

Dont' know. Is that significant?

> 
> Which hardware (lspci) is the host computer made of ?

All intel bits n bobs

00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)
01:04.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8110SC/8169SC Gigabit Ethernet (rev 10)

cheers,
Pádraig.